// include.inc 
// Include file used for PoVSB.

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "stones.inc"

// Also try other stuff like fog, max_trace_levels in this file.

//fog {
//	color Gray70	// the fog color	
//	distance 100.0 	// distance for 100%fog color
//}	

//#max_trace_level 20

//#max_intersections 200

background { color Blue }


#declare AAPool = texture {
    pigment {
        granite
        turbulence 0.6
        color_map {
            [0.000, 0.316   color rgbf <0.910, 0.788, 0.788, 0.000>
                    color rgbf <0.922, 0.914, 0.871, 0.000>]
            [0.316, 0.453   color rgbf <0.922, 0.914, 0.871, 0.000>
                    color rgbf <0.894, 0.867, 0.780, 0.000>]
            [0.453, 0.624   color rgbf <0.894, 0.867, 0.780, 0.000>
                    color rgbf <0.784, 0.788, 0.788, 0.000>]
            [0.624, 0.726   color rgbf <0.784, 0.788, 0.788, 0.000>
                    color rgbf <0.851, 0.812, 0.741, 0.000>]
            [0.726, 0.863   color rgbf <0.851, 0.812, 0.741, 0.000>
                    color rgbf <0.647, 0.655, 0.655, 0.000>]
            [0.863, 1.001   color rgbf <0.647, 0.655, 0.655, 0.000>
                    color rgbf <0.910, 0.788, 0.788, 0.000>]
        }
    }
}

#declare AATower = texture {
    pigment {
        granite
        turbulence 0.6
        color_map {
            [0.000, 0.316   color rgbf <0.910, 0.788, 0.788, 0.000>
                    color rgbf <0.922, 0.914, 0.871, 0.000>]
            [0.316, 0.453   color rgbf <0.922, 0.914, 0.871, 0.000>
                    color rgbf <0.894, 0.867, 0.780, 0.000>]
            [0.453, 0.624   color rgbf <0.894, 0.867, 0.780, 0.000>
                    color rgbf <0.784, 0.788, 0.788, 0.000>]
            [0.624, 0.726   color rgbf <0.784, 0.788, 0.788, 0.000>
                    color rgbf <0.851, 0.812, 0.741, 0.000>]
            [0.726, 0.863   color rgbf <0.851, 0.812, 0.741, 0.000>
                    color rgbf <0.647, 0.655, 0.655, 0.000>]
            [0.863, 1.001   color rgbf <0.647, 0.655, 0.655, 0.000>
                    color rgbf <0.910, 0.788, 0.788, 0.000>]
        }
    }
}


#declare AABldg = texture {
    pigment {
        granite
        turbulence 0.6
        color_map {
            [0.000, 0.316   color rgbf <0.910, 0.788, 0.788, 0.000>
                    color rgbf <0.922, 0.914, 0.871, 0.000>]
            [0.316, 0.453   color rgbf <0.922, 0.914, 0.871, 0.000>
                    color rgbf <0.894, 0.867, 0.780, 0.000>]
            [0.453, 0.624   color rgbf <0.894, 0.867, 0.780, 0.000>
                    color rgbf <0.784, 0.788, 0.788, 0.000>]
            [0.624, 0.726   color rgbf <0.784, 0.788, 0.788, 0.000>
                    color rgbf <0.851, 0.812, 0.741, 0.000>]
            [0.726, 0.863   color rgbf <0.851, 0.812, 0.741, 0.000>
                    color rgbf <0.647, 0.655, 0.655, 0.000>]
            [0.863, 1.001   color rgbf <0.647, 0.655, 0.655, 0.000>
                    color rgbf <0.910, 0.788, 0.788, 0.000>]
        }
    }
}


#declare AASlab = texture {
    pigment {
        granite
        turbulence 0.6
        color_map {
            [0.000, 0.154   color rgbf <0.690, 0.612, 0.569, 0.000>
                    color rgbf <0.737, 0.596, 0.522, 0.000>]
            [0.154, 0.368   color rgbf <0.737, 0.596, 0.522, 0.000>
                    color rgbf <0.776, 0.702, 0.624, 0.000>]
            [0.368, 0.538   color rgbf <0.776, 0.702, 0.624, 0.000>
                    color rgbf <0.796, 0.678, 0.643, 0.000>]
            [0.538, 0.846   color rgbf <0.796, 0.678, 0.643, 0.000>
                    color rgbf <0.690, 0.612, 0.569, 0.000>]
            [0.846, 0.932   color rgbf <0.690, 0.612, 0.569, 0.000>
                    color rgbf <0.773, 0.612, 0.569, 0.000>]
            [0.932, 1.001   color rgbf <0.773, 0.612, 0.569, 0.000>
                    color rgbf <0.690, 0.612, 0.569, 0.000>]
        }
    }
    finish {
        ambient .75
        diffuse .5
        reflection 0
        phong .01
        phong_size 1
        roughness .008
    }
    normal{bumps .5 scale<.01,.01,.01>}
}

#declare oldslab = texture {
pigment { color red 0.443 green 0.333 blue 0.118 }
finish {
        ambient .75
        diffuse .5
        reflection 0
        phong .01
        phong_size 1
        roughness .008
    }
    normal{bumps .5 scale<.01,.01,.01>}
}

#declare AAFilling = texture {
    Glass3
    pigment { Blue filter .9 }
}

#declare AADome = texture {
    Glass3
    pigment { color White filter .9}
}

#declare AAGrass = texture {
    pigment { color red 0.05 green 0.25 blue 0.05 }
    finish {
        ambient .75
        diffuse .5
        reflection 0
        phong .01
        phong_size 1
        roughness .008
    }
    normal{bumps .5 scale<.01,.01,.01>}
}

#include "floor.inc"

